Models/Vacation.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TooJaVile.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations; //lisasin selle siia

    public partial class Vacation : IValidatableObject //lisasin peale koolonit osa
    {
        public int Id { get; set; }
        public int PersonId { get; set; }
        [Required(ErrorMessage = "Alguskuupäev peab olema valitud ")]   //errormessage lisatud

        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd.MM.yyy}")]   //kuupäeva vorming lisatud
        public Nullable<System.DateTime> StartDate { get; set; }
        [Required(ErrorMessage = "Lõppkuupäev peab olema valitud")]          //errormessage lisatud

        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd.MM.yyy}")]   //kuupäeva vorming lisatud
        public Nullable<System.DateTime> EndDate { get; set; }

        // ei luba lõppkuupäeva panna hilisemat
        IEnumerable<ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            if (EndDate < StartDate)
            {
                yield return new ValidationResult("Lõppkuupäev peab olema hilisem kui alguskuupäev");
            }
        }

        //public Nullable<int> PictureId { get; set; } //seda uues modelis ei olenud, seetõttu on väljakommenteeritud
        public int VacationState { get; set; }
        public int VacationType { get; set; }
        public Nullable<int> AlbumId { get; set; }
    
        public virtual Person Person { get; set; }
        public virtual Album Album { get; set; }
    }
}

Controllers/VacationsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using TooJaVile.Models;
namespace TooJaVile.Models
{
   
    [Authorize]
    public partial class Vacation
    {
       


        public static Dictionary<int, string> VacationTypes = new Dictionary<int, string>
        {
           
            {0, "Põhipuhkus" },
            {1, "Palgata puhkus" },
            {2, "Õppepuhkus" },
            {3, "Lapsepuhkus" },
            {4, "Lapsehoolduspuhkus" },
            {5, "Isapuhkus" }

        };
        public static Dictionary<int, string> VacationStates = new Dictionary<int, string>
        {
            {0, "Esitatud" },
            {1, "Kinnitatud" },
            {2, "Tagasi lükatud" },
            {3, "Toimunud" },
            
        };

        public string VacationTypeName =>
            VacationTypes.ContainsKey(VacationType) ? VacationTypes[VacationType] : "";
            
    
        public string VacationStateName =>
            VacationStates.ContainsKey(VacationState) ? VacationStates[VacationState] : "";
        
    
    }
   
}


namespace TooJaVile.Controllers
{
    [Authorize]


    //SIIT JÄIME POOLELI
   
    public class VacationsController : MyController
    {
        private TooJaVileEntities db = new TooJaVileEntities();

        public static Dictionary<int, string> VacationTypes = new Dictionary<int, string>
        {

            {0, "Põhipuhkus" },
            {1, "Palgata puhkus" },
            {2, "Õppepuhkus" },
            {3, "Lapsepuhkus" },
            {4, "Lapsehoolduspuhkus" },
            {5, "Isapuhkus" }

        };
        
        // GET: Vacations
        public ActionResult Index(int? Staatus, int? Puhkuseliik, string sortOrder = "Name")

        {
            
            ViewBag.SortOrder = sortOrder;

            CheckPerson();
            ViewBag.CurrentPerson = CurrentPerson;

            var vacation = CurrentPerson.IsAccountant ? db.Vacations.ToList()
                : db.Vacations.Where(x => x.Person.DepartmentId == CurrentPerson.DepartmentId).ToList();

            var vacations = from s in vacation
                           where !Staatus.HasValue|| s.VacationState == Staatus.Value
                            where !Puhkuseliik.HasValue || s.VacationType == Puhkuseliik.Value
                            select s;
            switch (sortOrder)
            {
                case "Date":
                    vacations = vacations.OrderBy(s => s.StartDate);
                    break;
                case "Date_desc":
                    vacations = vacations.OrderByDescending(s => s.StartDate);
                    break;
                case "EndDate":
                    vacations = vacations.OrderBy(s => s.EndDate);
                    break;
                case "EndDate_desc":
                    vacations = vacations.OrderByDescending(s => s.EndDate);
                    break;
                case "Name":
                    vacations = vacations.OrderBy(s => s.Person.LastName);
                    break;
                case "Name_desc":
                    vacations = vacations.OrderByDescending(s => s.Person.LastName);
                    break;
                case "Department":
                    vacations = vacations.OrderBy(s => s.Person.Department.Name);
                    break;
                case "Department_desc":
                    vacations = vacations.OrderByDescending(s => s.Person.Department.Name);
                    break;              
                case "Status":
                    vacations = vacations.OrderBy(s => s.VacationState);
                    break;
                case "Status_desc":
                    vacations = vacations.OrderByDescending(s => s.VacationState);
                    break;
                case "Type":
                    vacations = vacations.OrderBy(s => s.VacationType);
                    break;
                case "Type_desc":
                    vacations = vacations.OrderByDescending(s => s.VacationType);
                    break;
            }

            ViewBag.Staatus = new SelectList(Vacation.VacationStates, "Key", "Value", Staatus); //teeme dictionary listiks, siis saadame viewbagiga view-sse. 
            ViewBag.Puhkuseliik = new SelectList(Vacation.VacationTypes, "Key", "Value", Puhkuseliik); //teeme dictionary listiks, siis saadame viewbagiga view-sse. 
            
            return View(vacations.ToList());


            //var vacations = db.Vacations.Include(v => v.Person);
            //return View(vacations.ToList());

        }
        public ActionResult Calendar(int? month, int? year) //Lisasime Hennuga KL.
        {
            //var vacations = db.Vacations.Include(v => v.Person);
            //return View(vacations.ToList());
            /*private TooJaVileEntities db = new TooJaVileEntities();*/ // lisasin TooJaVileEntities KL
        //public ActionResult About(int? month, int? year) //lisatud sulgude sisu ja eemaldasin
        //{
            int monthv = month ?? DateTime.Today.Month;
            int yearv = year ?? DateTime.Today.Year;
            // kaks parameetrit, puudumisel võtame jooskva aasta ja/või jooksva kuu

            DateTime startdate = new DateTime(yearv, monthv, 1); // kuu algus
            DateTime calstart = startdate.AddDays(-(((int)startdate.DayOfWeek + 6) % 7));
            // mis kuupäevast peaks algama kalender 

            // kõik 4 paneme viewsse kaasa
            ViewBag.StartDate = startdate;
            ViewBag.CalStart = calstart;
            ViewBag.Month = monthv;
            ViewBag.Year = yearv;
            // Nüüd teeme kuus nädalat kuupäevi
            ViewBag.Dates = Enumerable
                .Range(0, 42)               // kuus nädalat (42)
                .GroupBy(x => x / 7)        // grupeerime 7 kaupa
                .Select(x => x.Select(y => calstart.AddDays(y)).ToList())
            // iga grupi teisendame kuupäevade listiks
            .ToList()       // ja kõik need grupid paneme omakorda listi
            ;
            // tulemuseks on umbes Datetime[6][7] massiiv, aga tegelikult List<List<DateTime>>

            // aga viewle mudeliks anname oma taskid - läheme nüüd seda viewd vaatama
            return View(db.Vacations
                //                .AsEnumerable()
                //                .Where(x => x.StartDate?.Year <= yearv && x.EndDate?.Year >= yearv)
                .ToList());




            //if(Request.IsAuthenticated)
            //{
            //    TooJaVileEntities db = new TooJaVile();
            //    ViewBag.DisplayName = User.Identity.Name;
            //    Person p = db.People.Where(x => x.EMail)
            //}
            /*return View();*/ /*kustutasin ja taastasin KL*/

        }
        public ActionResult Vacationdays(int? Staatus, int? Puhkuseliik, string sortOrder = "Name")

        {
            ViewBag.SortOrder = sortOrder;

            CheckPerson();
            ViewBag.CurrentPerson = CurrentPerson;
            var vacation = CurrentPerson.IsAccountant ? db.Vacations.ToList()
                : db.Vacations.Where(x => x.Person.DepartmentId == CurrentPerson.DepartmentId).ToList();

            var vacations = from s in vacation
                            where !Staatus.HasValue || s.VacationState == Staatus.Value
                            where !Puhkuseliik.HasValue || s.VacationType == Puhkuseliik.Value
                            select s;
            switch (sortOrder)
            {
                
                case "Name":
                    vacations = vacations.OrderBy(s => s.Person.LastName);
                    break;
                case "Name_desc":
                    vacations = vacations.OrderByDescending(s => s.Person.LastName);
                    break;
                case "Department":
                    vacations = vacations.OrderBy(s => s.Person.Department.Name);
                    break;
                case "Department_desc":
                    vacations = vacations.OrderByDescending(s => s.Person.Department.Name);
                    break;
                
            }


            //Seda me ei kasuta siinkohal
            //var puhkusejäägid = db.People
            //    .Select(x => new
            //    {
            //        x.FirstName,
            //        Jääk = x.VacationDays - x.Vacations.AsEnumerable()
            //        .Where(y => y.VacationType == 0)
            //        .Where(y => y.StartDate.Value.Year == DateTime.Now.Year)
            //        .Sum(y => (y.EndDate.Value - y.StartDate.Value).Days)

            //    });

            return View(vacations.ToList());

        }
       

        public ActionResult Gallery()
        {
            return View(db.Vacations.ToList());

            
        }

        // GET: Vacations/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Vacation vacation = db.Vacations.Find(id);
            if (vacation == null)
            {
                return HttpNotFound();
            }
            return View(vacation);
        }



        // GET: Vacations/Create
        public ActionResult Create(int? month, int? year)
        {
            ViewBag.PersonId = new SelectList(db.People, "Id", "Email");
            ViewBag.VacationType = new SelectList(Vacation.VacationTypes, "Key", "Value");
            ViewBag.VacationState = new SelectList(Vacation.VacationStates, "Key", "Value");
            return View();
        }


        // POST: Vacations/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]

Views/Vacations/Calendar.cshtml
@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Calendar";
}

<style>


     table.table-bordered {
        border: 2px solid #de9c6c;
    }

    /*td, th.table-bordered {
        border: 1px solid #de9c6c;
    }


    tr:nth-child(even).table-bordered {
        background-color: lightgray;
    }*/

    .lai {
        width: 400px;
        position: initial;
    }

    .osa {
        position: relative;
        text-align: center;
    }

    .no-margin {
        margin-right: 0px;
        margin-left: 0px;
    }

    .task-no-start-end {
        background-image: linear-gradient(to right, lightblue, blue);
    }

    .task-start-no-end {
        background-image: linear-gradient(to right, blue, lightblue);
    }

    .task-no-start-no-end {
        background-image: linear-gradient(to right, lightblue, blue, lightblue);
    }

    .task-start-end {
        background-image: linear-gradient(to right, blue, lightblue, blue);
    }

    .task-white {
        background-color: transparent;
    }

    .task {
        height: 24px;
        display: inline-block;
    }

    tr.hall {
        background-color: #f7f1f1;
    }

    div.relative {
        position: relative;
        width: 100%;
        height: 20px;
        background-color: transparent;
    }

    div.absolute {
        position: absolute;
        top: 0;
        height: 100%;
        background-color: #de9c6c;
        text-align: center;
    }

    body {
        /*background-image: url('../../Content/3ify0ehu.tqx.jpg');*/
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
    }
   .absolute .staatus {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  
}
    .absolute:hover .staatus {
        visibility: visible;
    }
    
</style>



<h2>Puhkuste kalender</h2>
<h4>Liigu hiirega üle riba, et näha puhkuse detailinfot.</h4>

@*<p>
        @Html.ActionLink("Create New", "Create")
    </p>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.StartDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.EndDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.VacationState)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.VacationType)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.Person.Email)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.StartDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.EndDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.VacationState)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.VacationType)
                </td>

                <td>
                    @Html.DisplayFor(modelItem => item.Person.Email)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                    @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                    @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                </td>
            </tr>

        }
    </table>*@




@* neid kahte vaatame hiljem, need on et saaks kalendris liikuda *@
@Html.ActionLink("Eelmine", "Calendar", new
{
//month = (ViewBag.Month == 1 ? 12 : (ViewBag.Month - 1)),
year = ViewBag.Year - 1
})
@Html.ActionLink("Järgmine", "Calendar", new
{
year = ViewBag.Year + 1
//month = (ViewBag.Month == 12 ? 1 : (ViewBag.Month + 1)),
//year = (ViewBag.Year ? (ViewBag.Year + 1) : ViewBag.Year)
})

<h3><b>Aasta @ViewBag.Year</b></h3>
@{
    DateTime astart = new DateTime(ViewBag.Year, 1, 1);
    DateTime aend = new DateTime(ViewBag.Year, 12, 31);


}


<table class="table table-bordered" style="background-color:#f7f1f1">
    <thead>
        <tr>
            <td class="col-lg-2" style="color:black"><b>Töötaja</b></td>
            @for (int n = 1; n < 13; n++)
            {
                <th class="col-lg-1">@(new DateTime(2000, n, 1).ToString("MMMM"))</th>
            }
           
        </tr>
    </thead>


    <tbody>
       
       
            @foreach (var itemSuur in Model.GroupBy(x => x.Person.FirstName))
            {
        <tr class="hall">
            <td>@itemSuur.Key</td>
           
            <td colspan="12">

                <div class="relative">
                    @foreach (var item in itemSuur
                                    .Select(x => new
                                    {
                                        tstart = (x.StartDate ?? astart) <= astart ? astart : x.StartDate.Value,
                                        tend = (x.EndDate ?? aend) >= aend ? aend : x.EndDate.Value,
                                        staatus = x.VacationTypeName,
                                        puhkusea = x.StartDate,
                                        puhkusel = x.EndDate,
                                    })

                                    .Select(x => new
                                    {
                                        x.staatus,
                                        x.puhkusea,
                                        x.puhkusel,
                                        algus = (x.tstart - astart).Days * 100 / 365,
                                        pikkus = (x.tend - x.tstart).Days * 100 / 365
                                    }))


                    {
                    <div class="absolute" style="width:@item.pikkus%;left:@item.algus%">
                        <span class="staatus">
                            @item.staatus:
                            @item.puhkusea.Value.ToShortDateString() 
                            -
                            @item.puhkusel.Value.ToShortDateString()

                        </span>
                    </div>
                    }
                </div>
            </td>
        </tr>
            }
            @*foreach (var item in itemSuur)
                {

                    <tr>
                        <td></td>
                        <td colspan="12" class=" no-margin">
                            @{
                                DateTime tstart = (item.StartDate ?? astart) <= astart ? astart : item.StartDate.Value;
                                DateTime tend = (item.EndDate ?? aend) >= aend ? aend : item.EndDate.Value;
                                int algus = (tstart - astart).Days;
                                int kestus = (tend - tstart).Days;
                                string cstart = item.StartDate.HasValue ? " task-start" : " task-no-start";
                                string cend = item.EndDate.HasValue ? "-end" : "-no-end";
                                string cosa = "osa"
                                + ((item.StartDate.HasValue && item.StartDate.Value >= astart) ? " osav" : "")
                                + ((item.EndDate.HasValue && item.EndDate.Value <= aend) ? " osap" : "")
                                ;
                                string citem = cosa + cstart + cend;

                            }
                            <div style="width:@(algus * 100 / 365)%" class="no-margin task task-white"><p></p></div>
                            <div style="width:@(kestus * 100 / 365)%" class=" no-margin task @citem "><p></p></div>
                        </td>
                    </tr>
                }
            }*@
    </tbody>
</table>

Views/Vacations/Calender.cshtml
@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Calender";
}

<h2>Calender</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.StartDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.VacationState)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.VacationType)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Person.Email)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.StartDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EndDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VacationState)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VacationType)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Person.Email)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>

Views/Vacations/Create.cshtml
@model TooJaVile.Models.Vacation

@{
    ViewBag.Title = "Create";
}

<h2>Loo uus puhkuseavaldus</h2>
<link href="~/Content/themes/base/jquery-ui.min.css" rel="stylesheet" />
@section Scripts {
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.12.1.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#StartDate").datepicker({ dateFormat: "dd-MM-yy", changeMonth: true, changeYear: true });
        });
    </script>
    <script>
        $(document).ready(function () {
            $("#EndDate").datepicker({ dateFormat: "dd-MM-yy", changeMonth: true, changeYear: true });
        });
    </script>
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Puhkus</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.PersonId, "E-mail", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("PersonId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.PersonId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.StartDate, "Alguskuupäev", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.EndDate, "Lõppkuupäev", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.EndDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.EndDate, "", new { @class = "text-danger" })
            </div>
        </div>



        <div class="form-group">
            @Html.LabelFor(model => model.VacationType, "Puhkuse liik", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("VacationType", null, "-- Vali puhkuse liik --", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.VacationType, "", new { @class = "text-danger" })
            </div>
        </div>
        @*<div class="form-group">
                @Html.LabelFor(model => model.VacationState, "Staatus", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("VacationState", null, "-- olek --", htmlAttributes: new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.VacationState, "", new { @class = "text-danger" })
                </div>
            </div>*@

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Saada kinnitamisele" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Tagasi nimekirja", "Index")
</div>

Views/Vacations/Delete.cshtml
@model TooJaVile.Models.Vacation

@{
    ViewBag.Title = "Delete";
}

<h2>Kustuta puhkuseavaldus</h2>

<h3>Kas oled kindel, et soovid kustutada?</h3>
<div>
    @*<h4>Puhkus</h4>*@
    <hr />
    <dl class="dl-horizontal">
        <dt>
            Nimi            @*@Html.DisplayNameFor(model => model.Person.Email)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Person.Email)
        </dd>
        <dt>
            Alguskuupäev     @*@Html.DisplayNameFor(model => model.StartDate)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.StartDate)
        </dd>

        <dt>
            Lõppkuupäev     @*@Html.DisplayNameFor(model => model.EndDate)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.EndDate)
        </dd>

        <dt>
            Puhkuse liik    @*@Html.DisplayNameFor(model => model.VacationType)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.VacationTypeName)
        </dd>


        <dt>
            Staatus           @*@Html.DisplayNameFor(model => model.VacationState)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.VacationStateName)
        </dd>




    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Kustuta" class="btn btn-default" /> |
            @Html.ActionLink("Tagasi nimekirja", "Index")
        </div>
    }
</div>

Views/Vacations/Index.cshtml
@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Puhkuseavaldused"; @*@Muutsin nime KL*@
}
<style>

    table {
        border: 2px solid #de9c6c;
    }

    td, th {
        border: 1px solid #de9c6c;
    }


    tr:nth-child(even) {
        background-color: lightgray;
    }
</style>


<h2>Puhkuseavaldused</h2>
<p>
    @Html.ActionLink("Uus puhkuseavaldus", "Create")

</p>
@*Lisasin puhkuse liikide ja puhkuse staatuste filtreerimise dropdownlisid*@
<span style="display: inline-block">

    @using (Html.BeginForm("Index", "Vacations", FormMethod.Post, new { name = "myform2" }))
    {
        @Html.DropDownList("Puhkuseliik", null, "-- Kõik liigid --", new { onchange = "document.myform2.submit()" })
        @Html.Hidden("SortOrder")//jätab meelde sorditud järjekorra
    }
</span>
<span style="display: inline-block">
    @using (Html.BeginForm("Index", "Vacations", FormMethod.Post, new { name = "myform" }))
    {
        @Html.DropDownList("Staatus", null, "-- Kõik staatused --", new { onchange = "document.myform.submit()" })
        @Html.Hidden("SortOrder")//jätab meelde sorditud järjekorra
    }
</span>
<p></p>


<table class="table">
    <tr>
        <th>
            @Html.ActionLink("Alguskuupäev", "Index", new { sortOrder = (ViewBag.SortOrder == "Date" ? "Date_desc" : "Date") })
        </th>
        <th>
            @Html.ActionLink("Lõppkuupäev", "Index", new { sortOrder = (ViewBag.SortOrder == "Date" ? "EndDate_desc" : "EndDate") })
        </th>
        <th>
            @Html.ActionLink("Nimi", "Index", new { sortOrder = (ViewBag.SortOrder == "Name" ? "Name_desc" : "Name") })
        </th>
        <th>
            @Html.ActionLink("Osakond", "Index", new { sortOrder = (ViewBag.SortOrder == "Department" ? "Department_desc" : "Department") })
        </th>
        <th>
            @Html.ActionLink("Puhkuse liik", "Index", new { sortOrder = (ViewBag.SortOrder == "Type" ? "Type_desc" : "Type") })
        </th>
        <th>
            @Html.ActionLink("Puhkuse staatus", "Index", new { sortOrder = (ViewBag.SortOrder == "Status" ? "Status_desc" : "Status") })
        </th>

        <th></th>
    </tr>


    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.StartDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EndDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Person.FirstName)
                @Html.DisplayFor(modelItem => item.Person.LastName)
                @*@Html.ActionLink("LastName", "Index", new { sortOrder = ViewBag.NameSortParm })*@
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Person.Department.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.VacationTypeName)
            </td>
            @{ var color = "lightgray";
                if (item.VacationState == 0)
                {
                    color = "#9fdfbf";
                }
                else if (item.VacationState == 1)
                {
                    color = "#ffff99";
                }
                else if (item.VacationState == 2)
                {
                    color = "#ff9999";
                }
            }
            <td style="background-color: @color">
                @Html.DisplayFor(modelItem => item.VacationStateName)
            </td>

            @if (ViewBag.CurrentPerson.IsManager || ViewBag.CurrentPerson.IsAccountant ||
                (item.PersonId == ViewBag.CurrentPerson.Id && item.VacationState == 0 || item.VacationState == 2))
            {
                <td>
                    @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
                    @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
                    @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
                </td>
            }
            else
            {
                <td>
                    @Html.ActionLink("Vaata", "Details", new { id = item.Id })
                </td>
            }
        </tr>
    }

</table>


<div class="form-group">
    <div class="col-md-offset-2 col-md-10">
        <input type="submit" value="Kinnita kõik" class="btn btn-default" style="float: right;" 
               onclick="location.href='@Url.Action("Accept", "Vacations")'"/>
    </div>
</div>